Page MenuHomeFreeBSD

Force linking of `libperl.so` with all shared modules.
AbandonedPublic

Authored by mat on Nov 27 2014, 3:32 PM.

Details

Reviewers
swills
bdrewery
mat
Group Reviewers
portmgr
Perl

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mat updated this revision to Diff 2567.Nov 27 2014, 3:32 PM
mat retitled this revision from to Force linking of `libperl.so` with all shared modules..
mat updated this object.
mat edited the test plan for this revision. (Show Details)
mat updated this revision to Diff 2605.Dec 2 2014, 4:56 PM

add other perl's to the mix

mat added a subscriber: Unknown Object (MLST).Dec 2 2014, 11:20 PM
mat updated this revision to Diff 2644.EditedDec 5 2014, 1:46 PM

Add a bit of qa.sh

mat updated this revision to Diff 2645.Dec 5 2014, 1:48 PM
mat edited edge metadata.

be sure to match libperl missing

mat updated this revision to Diff 2647.Dec 5 2014, 2:19 PM

Add LIBPERL to QA_ENV

mat updated this revision to Diff 2648.Dec 5 2014, 3:08 PM

Learn -n == ! -z

bdrewery requested changes to this revision.Dec 5 2014, 4:42 PM
bdrewery added a reviewer: bdrewery.
bdrewery added a subscriber: bdrewery.
bdrewery added inline comments.
Mk/Scripts/qa.sh
220

You'll need to return 1 for this case, but not you can't without refactoring or using a temp file since this is in a subshell/pipe.

This revision now requires changes to proceed.Dec 5 2014, 4:42 PM
mat updated this revision to Diff 2652.Dec 5 2014, 4:52 PM
mat edited edge metadata.

Also, if you use err, you need to return 1

mat updated this revision to Diff 2691.Dec 9 2014, 3:04 PM
mat edited edge metadata.

Install libperl as libperl.so.x.yy.z and have its soname be libperl.so.x.

Also, fix the libperl to only run when really needed stage-qa check.

mat updated this revision to Diff 2693.Dec 9 2014, 3:40 PM

Do not hardcode SHRPLDFLAGS in libperl.so's target.

mat updated this revision to Diff 2694.Dec 9 2014, 3:48 PM

Grmbl 8.4.

antoine added inline comments.
Mk/Scripts/qa.sh
213

Here I think you need to put this:

  1. No results presents a blank line [ -z "${f}" ] && continue

(otherwise there will be like 5000 qa errors!)

mat updated this revision to Diff 2702.Dec 10 2014, 8:41 AM

Handle find not getting any .so and the heredoc having an empty line.

mat updated this revision to Diff 2763.Dec 16 2014, 1:10 PM

Fixup the libperl qa to only err if none of the .so are linked with libperl.so.

mat accepted this revision.Dec 17 2014, 1:01 PM
mat added a reviewer: mat.
mat added a comment.Dec 17 2014, 1:28 PM

Closed by commit rP374847 (authored by @mat).

swills accepted this revision.Dec 17 2014, 4:50 PM
swills added a reviewer: swills.
swills added a subscriber: swills.

I like the idea. Haven't looked at the code too closely, but it is a shame perl doesn't do this.

mat abandoned this revision.Apr 9 2015, 8:13 PM